Bug 386511 - gnome-system-log crashes on selecting another log file
gnome-system-log crashes on selecting another log file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 04:33 EST by Piergiorgio Sartor
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.20.0.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:52:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2007-11-16 04:33:53 EST
Description of problem:
Selecting different log file crashes gnome-system-log, usually always at the
first selection or always at the second one.

Version-Release number of selected component (if applicable):
gnome-utils-2.20.0.1-2.fc8

How reproducible:
Always, so far.

Steps to Reproduce:
1.
Start gnome-system-log
2.
Select another log file
3.
If gnome-system-log survives, go to step 2.

Actual results:
gnome-system-log crashes with segfault.

Expected results:
The other log file should be selected.

Additional info:

Backtrace of "gdb gnome-system-log", without debuginfo (hope this helps anyway).

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208875248 (LWP 2218)]
0x08052262 in gtk_main_quit ()
(gdb) 
(gdb) bt
#0  0x08052262 in gtk_main_quit ()
#1  0x0098b409 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#2  0x0097df83 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#3  0x0098e48d in ?? () from /lib/libgobject-2.0.so.0
#4  0x0098f997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#5  0x0098fb59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#6  0x042708e0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x04271c95 in gtk_combo_box_set_active () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x0804eb61 in gtk_main_quit ()
#9  0x08052176 in gtk_main_quit ()
#10 0x08053fe1 in gtk_main_quit ()
#11 0x0098b409 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#12 0x0097df83 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#13 0x0098e48d in ?? () from /lib/libgobject-2.0.so.0
#14 0x0098f997 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#15 0x0098fb59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#16 0x0442c64c in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x04446a23 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#18 0x0444e97b in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x0432b382 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x0097c779 in ?? () from /lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit--- 
#21 0x0097df83 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#22 0x0098ead3 in ?? () from /lib/libgobject-2.0.so.0
#23 0x0098f75f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#24 0x0098fb59 in g_signal_emit () from /lib/libgobject-2.0.so.0
#25 0x04465568 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x0432327e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x043246d3 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00b548ba in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#29 0x0089405c in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#30 0x0089749f in ?? () from /lib/libglib-2.0.so.0
#31 0x00897849 in g_main_loop_run () from /lib/libglib-2.0.so.0
#32 0x04324ae4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#33 0x0804d13c in gtk_main_quit ()
#34 0x00477390 in __libc_start_main () from /lib/libc.so.6
#35 0x0804ce01 in gtk_main_quit ()
Comment 1 Fedora Update System 2007-11-20 12:55:19 EST
gnome-utils-2.20.0.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-utils'
Comment 2 cje 2007-11-22 14:41:43 EST
looks good so far.  i can't make it crash.  :-)
Comment 3 Fedora Update System 2007-11-26 13:52:27 EST
gnome-utils-2.20.0.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.